Bug 1460719 - Missing status for brick alerts
Missing status for brick alerts
Status: ASSIGNED
Product: Red Hat Storage Console
Classification: Red Hat
Component: Alerting (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: anmol babu
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 09:45 EDT by Filip Balák
Modified: 2017-06-26 04:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen of dashboard (86.03 KB, image/png)
2017-06-12 09:45 EDT, Filip Balák
no flags Details

  None (edit)
Description Filip Balák 2017-06-12 09:45:31 EDT
Created attachment 1287056 [details]
Screen of dashboard

Description of problem:
In gluster dashboard I have 2 messages indicating status of bricks for certain IP but I see no particular status. I have to move mouse above the alert label and it show details but this is inconvenient and I think that there should be some message right in the list with alerts. I am not sure how those 2 alerts appeared there.

Version-Release number of selected component (if applicable):
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-commons-3.0-alpha.8.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-node-agent-3.0-alpha.8.el7scon.noarch
tendrl-node-monitoring-3.0-alpha.4.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.6.el7scon.noarch

How reproducible:
I don't know

Steps to Reproduce:
I am not sure.
1. Import gluster cluster in Tendrl.
2. Create bricks for imported cluster via dashboard.
3. Create gluster volume via dashboard.
4. Go to gluster dashboard

Actual results:
In list of alerts are incomplete messages.

Expected results:
There should be more info for alert in alerts list

Additional info:
Comment 4 Nishanth Thomas 2017-06-20 00:31:49 EDT
@filip, I don't think we can dump the entire message on the dashboard due to space constraints. Also we followed the same pattern as in the `Notification` listing where the message will be shown only if you hover the mouse on it.

I have added Ju, Mrugesh here to provide more input.
Comment 5 Ju Lim 2017-06-22 09:51:39 EDT
At initial first glance, it doesn't look like a bug.  What this is is a state change on the brick from stopped to started.  If anything it's an informational message, and yes while the user should be notified, it should probably be filtered out since it's an informational severity message vs. a severe / critical message where the object is down and unreachable.

If we could correlated this brick stopping to a failed or degraded volume (through root cause analysis or other diagnosis), then it's probably something major that needs attention.

Note You need to log in before you can comment on or make changes to this bug.